package com.base.orbit.Exception;

/**
 * @author shuyy
 * @date 2022-01-13
 */
public class AssertException extends RuntimeException {
    private Integer code;
    private static final long serialVersionUID = -3675886138515986564L;

    public AssertException(String message) {
        super(message);
    }

    public AssertException(Integer code, String message) {
        super(message);
        this.code = code;
    }

    public Integer getCode() {
        return this.code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }
}
